<?php
namespace Claromentis\Core\HashId;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();






class XorHasher implements Hasher
{
    protected $multiplier;
    protected $base;
    
    
    
    
    
    public function __construct($_4f8ecc83057faefd91bc90dbae9bfa7a, $_09232f1888c143037c0858f1cf8e7f6b)
    {
        $this->multiplier = $_4f8ecc83057faefd91bc90dbae9bfa7a;
        $this->base = $_09232f1888c143037c0858f1cf8e7f6b;
    }
    
    
    
    
    
    
    public function Encode($id)
    {
        return $id * $this->multiplier ^ $this->base;
    }
    
    
    
    
    
    
    public function Decode($_7002da8d7b301e7ce7ce614c08672cc1)
    {
        return (int) (($_7002da8d7b301e7ce7ce614c08672cc1 ^ $this->base) / $this->multiplier);
    }
}